> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Einstellungen für Security Profiles der Organisation aktualisieren

> Die Standardauswahl der Organisation für Sicherheitsprofile aktualisieren.
Nicht angegebene Felder bleiben unverändert. Ein angepinntes Profil kann org-owned sein oder
zu den freigegebenen Profilen des Enterprise gehören, dem die Organisation angehört.

Aktualisiert die Standardauswahl der Security Profiles für die Organisation und gibt die resultierenden Einstellungen zurück.

## Berechtigungen

Erfordert einen [Service-Benutzer](https://docs.devinenterprise.com/de/api-reference/v3/service-users/members-service-users.md) oder ein [persönliches Zugriffstoken](https://docs.devinenterprise.com/de/api-reference/personal-access-tokens.md) mit der Berechtigung `ManageSecureModeProfiles` auf Organisationsebene. Tokens, die von einer laufenden Devin-Sitzung verwendet werden, werden abgelehnt. So kann eine Sitzung die Profile, denen sie unterliegt, nicht selbst ändern.

## Verhalten

* Nicht angegebene Felder bleiben unverändert. `null` wird abgelehnt; um einen Standardwert zu löschen, setzen Sie ihn auf `inherit`, z. B. `{"default": {"selection": "inherit"}}` oder `{"automations_default": {"selection": "inherit"}}`.
* `profile_id` ist erforderlich, wenn `selection` den Wert `profile` hat, und muss andernfalls weggelassen werden. Das angepinnte Profil kann org-owned sein oder eines der gemeinsam genutzten Profile des Enterprise-Kontos.
* Laufende Sitzungen übernehmen die Änderung beim nächsten Start oder Aufwachen.


## OpenAPI

````yaml de/v3-openapi.yaml PATCH /v3beta1/organizations/{org_id}/security-profile-settings
openapi: 3.1.0
info:
  description: Devin v3 API mit Service-User-Authentifizierung und RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/security-profile-settings:
    patch:
      tags:
        - security-profiles
      summary: Einstellungen für Security Profiles der Organisation aktualisieren
      description: >-
        Die Standardauswahl der Organisation für Sicherheitsprofile
        aktualisieren.

        Nicht angegebene Felder bleiben unverändert. Ein angepinntes Profil kann
        org-owned sein oder

        zu den freigegebenen Profilen des Enterprise gehören, dem die
        Organisation angehört.
      operationId: >-
        handle_update_security_profile_settings_v3beta1_organizations__org_id__security_profile_settings_patch
      parameters:
        - description: 'Organisations-ID (Präfix: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecurityProfileSettingsUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityProfileSettingsResponse'
          description: Erfolgreiche Antwort
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht authentifiziert
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Zugriff verweigert
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht gefunden
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Konflikt
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht mehr verfügbar
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht verarbeitbarer Inhalt
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Zu viele Anfragen
components:
  schemas:
    SecurityProfileSettingsUpdateRequest:
      additionalProperties: false
      description: 'PATCH-Semantik: Weggelassene Felder bleiben unverändert.'
      properties:
        automations_default:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileDefaultSelection'
            - type: 'null'
        default:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileDefaultSelection'
            - type: 'null'
      title: SecurityProfileSettingsUpdateRequest
      type: object
    SecurityProfileSettingsResponse:
      additionalProperties: false
      properties:
        automations_default:
          $ref: '#/components/schemas/SecurityProfileDefaultState'
          description: >-
            Standardwert für Sitzungen, die durch Automatisierungen ausgelöst
            werden. In der Konfigurationshierarchie liegt er zwischen den
            Organisations- bzw. Enterprise-Standardwerten und der eigenen
            Bindung der jeweiligen Automatisierung.
        default:
          $ref: '#/components/schemas/SecurityProfileDefaultState'
      required:
        - default
        - automations_default
      title: SecurityProfileSettingsResponse
      type: object
    ProblemDetail:
      description: >-
        RFC 9457 application/problem+json-Fehlertext für die v3-API.


        detail wird aus dem Legacy-Body {"detail": ...} aus Gründen der
        Abwärtskompatibilität beibehalten; die

        anderen Member sind additiv. errors enthält Validierungsfehler auf
        Feldebene

        (nur 422).
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: Eine menschenlesbare Erklärung, die speziell für diesen Fall gilt.
          title: Detail
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Maschinenlesbarer Code für die Ablehnung blockierter Aktionen (z. B.
            "user_frozen", "migrated_session").
          title: Error Code
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: Validierungsfehler auf Feldebene (nur bei 422-Antworten).
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: Eine URI-Referenz (der Anfragepfad) für diesen Fall.
          title: Instance
        status:
          description: Der HTTP-Statuscode.
          title: Status
          type: integer
        title:
          description: Eine kurze, menschenlesbare Zusammenfassung des Problemtyps.
          title: Title
          type: string
        type:
          default: about:blank
          description: Eine URI-Referenz, die den Problemtyp identifiziert.
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    SecurityProfileDefaultSelection:
      additionalProperties: false
      description: >-
        Ein Standardwert mit drei Zuständen: inherit (keine eigene Bindung – es
        gilt

        der Standardwert der übergeordneten Ebene), none (explizite Abwahl: kein
        Profil, auch wenn eine

        übergeordnete Ebene einen empfohlenen Standardwert hat) oder profile
        (profile_id anpinnen).


        Eine Abwahl kann ein verbindliches Profil einer übergeordneten Ebene
        nicht umgehen: Sie wird

        unverändert gespeichert, hat aber keine Wirkung, solange das
        verbindliche Profil besteht.
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Erforderlich, wenn selection den Wert 'profile' hat; muss
            andernfalls weggelassen werden.
          title: Profile Id
        selection:
          enum:
            - inherit
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: SecurityProfileDefaultSelection
      type: object
    SecurityProfileDefaultState:
      additionalProperties: false
      description: Leseansicht einer gespeicherten Standardbindung.
      properties:
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Id
        profile_scope:
          anyOf:
            - enum:
                - org
                - enterprise
              type: string
            - type: 'null'
          description: >-
            Geltungsbereich, dem das angepinnte Profil gehört. Nur gesetzt, wenn
            selection den Wert 'profile' hat; ein Organisationsstandard kann ein
            auf Enterprise-Ebene freigegebenes Profil anpinnen.
          title: Profile Scope
        selection:
          enum:
            - inherit
            - none
            - profile
          title: Selection
          type: string
      required:
        - selection
      title: SecurityProfileDefaultState
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Servicebenutzer-Anmeldedaten (Präfix: cog_)'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.